qpid::console::ConsoleListener Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
qpid::console::ConsoleListener Class Reference

Implement a subclass of ConsoleListener and subscribe it using the SessionManager to receive indications. More...

`#include <qpid/console/ConsoleListener.h>`

List of all members.

## Public Member Functions
virtual | ~ConsoleListener ()
virtual void | brokerConnected (const Broker &)
| Invoked when a connection is established to a broker.
virtual void | brokerDisconnected (const Broker &)
| Invoked when the connection to a broker is lost.
virtual void | newPackage (const std::string &)
| Invoked when a QMF package is discovered.
virtual void | newClass (const ClassKey &)
| Invoked when a new class is discovered.
virtual void | newAgent (const Agent &)
| Invoked when a QMF agent is discovered.
virtual void | delAgent (const Agent &)
| Invoked when a QMF agent disconects.
virtual void | objectProps (Broker &, Object &)
| Invoked when an object is updated.
virtual void | objectStats (Broker &, Object &)
| Invoked when an object is updated.
virtual void | event (Event &)
| Invoked when an event is raised.
virtual void | brokerInfo (Broker &)

## Detailed Description

Implement a subclass of ConsoleListener and subscribe it using the SessionManager to receive indications.

## Constructor & Destructor Documentation

virtual qpid::console::ConsoleListener::~ConsoleListener | ( |  | ) | `[inline, virtual]`

Definition at line 42 of file ConsoleListener.h.

## Member Function Documentation

virtual void qpid::console::ConsoleListener::brokerConnected | ( | const Broker & |  | ) | `[inline, virtual]`

Invoked when a connection is established to a broker.

Definition at line 46 of file ConsoleListener.h.

virtual void qpid::console::ConsoleListener::brokerDisconnected | ( | const Broker & |  | ) | `[inline, virtual]`

Invoked when the connection to a broker is lost.

Definition at line 50 of file ConsoleListener.h.

virtual void qpid::console::ConsoleListener::brokerInfo | ( | Broker & |  | ) | `[inline, virtual]`

Definition at line 87 of file ConsoleListener.h.

virtual void qpid::console::ConsoleListener::delAgent | ( | const Agent & |  | ) | `[inline, virtual]`

Invoked when a QMF agent disconects.

Definition at line 67 of file ConsoleListener.h.

virtual void qpid::console::ConsoleListener::event | ( | Event & |  | ) | `[inline, virtual]`

Invoked when an event is raised.

Definition at line 79 of file ConsoleListener.h.

virtual void qpid::console::ConsoleListener::newAgent | ( | const Agent & |  | ) | `[inline, virtual]`

Invoked when a QMF agent is discovered.

Definition at line 63 of file ConsoleListener.h.

virtual void qpid::console::ConsoleListener::newClass | ( | const ClassKey & |  | ) | `[inline, virtual]`

Invoked when a new class is discovered.

Session.getSchema can be used to obtain details about the class.

Definition at line 59 of file ConsoleListener.h.

virtual void qpid::console::ConsoleListener::newPackage | ( | const std::string & |  | ) | `[inline, virtual]`

Invoked when a QMF package is discovered.

Definition at line 54 of file ConsoleListener.h.

virtual void qpid::console::ConsoleListener::objectProps | ( | Broker & | ,
|  | Object & |
| ) |  | `[inline, virtual]`

Invoked when an object is updated.

Definition at line 71 of file ConsoleListener.h.

virtual void qpid::console::ConsoleListener::objectStats | ( | Broker & | ,
|  | Object & |
| ) |  | `[inline, virtual]`

Invoked when an object is updated.

Definition at line 75 of file ConsoleListener.h.

The documentation for this class was generated from the following file:

- qpid/console/ConsoleListener.h